Subject: Re: assimilation cmd towards cygwin/bash
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 07 Feb 2003 16:00:13 -0500

At 03:44 PM 2/7/2003, [email-masked] wrote:
>Shankar Unni wrote:
> > As long as you don't mind hitting <CR> after the ^D, this seems to
> > work:
> >
> >    c:\> doskey ^D=exit
> >
> > Now, if you hit ^D<cr>  (the <cr> is unfortunately required), CMD.EXE
> > will exit.
>Yes, this seems to work... and there should still be a trick for adding the
>missing <cr> key code to the line, maybe a bit like:
>doskey ^D="exit >nul | x"
>[ x representing the <cr> key code ]
>I guess a different, i.e. enhanced doskey replacement could allow this?
>Or better: an additional program which emulates key codes?
>Unfortunately I don't know any...
>The only way in the past of getting <cr> to work properly for keyboard
>macros was ANSI.SYS. Any other suggestions?

Sounds to me like you're really looking for suggestions about cmd.exe 
specifics and related Windows mechanisms.  I'm not sure this list is the
best one to direct such questions to, though perhaps someone here has an
idea how to do what you want.  If not, you might want to send the 
specifics of your question to a more Windows-oriented list or group.
I'm sure there's some CMD.EXE evangelist list out there somewhere! ;-)

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/